
id_network = DigraphIDs(id_di);
InteractionNetwork = InteractionNetworks{id_network};

if id_model == 1
    newInteractionNetwork = {ones(size(InteractionNetwork{1})), nan*ones(size(InteractionNetwork{1}))};
    InteractionNetwork = newInteractionNetwork;
    InteractionNetworks = {InteractionNetwork};
end